import{s as Rt,n as jt,o as Kt}from"../chunks/scheduler.defa9a21.js";import{S as Jt,i as Xt,g as c,s as a,r as l,A as Qt,h as i,f as r,c as n,j as k,u as d,x as _,k as $,y as t,a as s,v as g,d as m,t as p,w as u}from"../chunks/index.fe795e71.js";import{D as v}from"../chunks/Docstring.07f3d703.js";import{H as D,E as Yt}from"../chunks/EditOnGithub.0f575778.js";function Zt(wt){let M,De,Ae,Ie,I,Ne,N,He,h,H,et,ne,Lt="A base Tracker class to be used for all logging integration implementations.",tt,oe,xt=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/v1.2.0/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,rt,ce,Mt="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",at,ie,Ct=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,nt,se,Et=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,ot,C,B,ct,le,At=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,it,E,V,st,de,Pt="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",lt,A,S,dt,ge,Dt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Be,O,Ve,T,W,gt,me,It="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",mt,pe,G,Se,U,Oe,y,z,pt,ue,Nt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",ut,he,q,We,F,Ge,b,R,ht,fe,Ht="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",ft,ke,Bt="API keys must be stored in a Comet config file.",kt,$e,j,Ue,K,ze,w,J,$t,ve,Vt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",vt,_e,X,qe,Q,Fe,L,Y,_t,be,St="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",bt,Te,Z,Re,ee,je,x,te,Tt,ye,Ot="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",yt,we,re,Ke,ae,Je,Pe,Xe;return I=new D({props:{title:"Experiment Trackers",local:"experiment-trackers",headingTag:"h1"}}),N=new D({props:{title:"GeneralTracker",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),H=new v({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L91"}}),B=new v({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L157"}}),V=new v({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": typing.Optional[int]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L144"}}),S=new v({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L132"}}),O=new D({props:{title:"TensorBoardTracker",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),W=new v({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.TensorBoardTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L165"}}),G=new v({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike]"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L181"}}),U=new D({props:{title:"WandBTracker",local:"accelerate.tracking.WandBTracker",headingTag:"h2"}}),z=new v({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.WandBTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L276"}}),q=new v({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L291"}}),F=new D({props:{title:"CometMLTracker",local:"accelerate.tracking.CometMLTracker",headingTag:"h2"}}),R=new v({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.CometMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L399"}}),j=new v({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L415"}}),K=new D({props:{title:"AimTracker",local:"accelerate.tracking.AimTracker",headingTag:"h2"}}),J=new v({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.AimTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L480"}}),X=new v({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L494"}}),Q=new D({props:{title:"MLflowTracker",local:"accelerate.tracking.MLflowTracker",headingTag:"h2"}}),Y=new v({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L579"}}),Z=new v({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": typing.Union[str, os.PathLike, NoneType] = None"},{name:"run_id",val:": typing.Optional[str] = None"},{name:"tags",val:": typing.Union[typing.Dict[str, typing.Any], str, NoneType] = None"},{name:"nested_run",val:": typing.Optional[bool] = False"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"description",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L610"}}),ee=new D({props:{title:"ClearMLTracker",local:"accelerate.tracking.ClearMLTracker",headingTag:"h2"}}),te=new v({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.`,name:"run_name"},{anchor:"accelerate.tracking.ClearMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L724"}}),re=new v({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v1.2.0/src/accelerate/tracking.py#L739"}}),ae=new Yt({props:{source:"https://github.com/huggingface/accelerate/blob/main/docs/source/package_reference/tracking.md"}}),{c(){M=c("meta"),De=a(),Ae=c("p"),Ie=a(),l(I.$$.fragment),Ne=a(),l(N.$$.fragment),He=a(),h=c("div"),l(H.$$.fragment),et=a(),ne=c("p"),ne.textContent=Lt,tt=a(),oe=c("p"),oe.innerHTML=xt,rt=a(),ce=c("p"),ce.innerHTML=Mt,at=a(),ie=c("p"),ie.innerHTML=Ct,nt=a(),se=c("p"),se.innerHTML=Et,ot=a(),C=c("div"),l(B.$$.fragment),ct=a(),le=c("p"),le.textContent=At,it=a(),E=c("div"),l(V.$$.fragment),st=a(),de=c("p"),de.innerHTML=Pt,lt=a(),A=c("div"),l(S.$$.fragment),dt=a(),ge=c("p"),ge.innerHTML=Dt,Be=a(),l(O.$$.fragment),Ve=a(),T=c("div"),l(W.$$.fragment),gt=a(),me=c("p"),me.innerHTML=It,mt=a(),pe=c("div"),l(G.$$.fragment),Se=a(),l(U.$$.fragment),Oe=a(),y=c("div"),l(z.$$.fragment),pt=a(),ue=c("p"),ue.innerHTML=Nt,ut=a(),he=c("div"),l(q.$$.fragment),We=a(),l(F.$$.fragment),Ge=a(),b=c("div"),l(R.$$.fragment),ht=a(),fe=c("p"),fe.innerHTML=Ht,ft=a(),ke=c("p"),ke.textContent=Bt,kt=a(),$e=c("div"),l(j.$$.fragment),Ue=a(),l(K.$$.fragment),ze=a(),w=c("div"),l(J.$$.fragment),$t=a(),ve=c("p"),ve.innerHTML=Vt,vt=a(),_e=c("div"),l(X.$$.fragment),qe=a(),l(Q.$$.fragment),Fe=a(),L=c("div"),l(Y.$$.fragment),_t=a(),be=c("p"),be.innerHTML=St,bt=a(),Te=c("div"),l(Z.$$.fragment),Re=a(),l(ee.$$.fragment),je=a(),x=c("div"),l(te.$$.fragment),Tt=a(),ye=c("p"),ye.innerHTML=Ot,yt=a(),we=c("div"),l(re.$$.fragment),Ke=a(),l(ae.$$.fragment),Je=a(),Pe=c("p"),this.h()},l(e){const o=Qt("svelte-u9bgzb",document.head);M=i(o,"META",{name:!0,content:!0}),o.forEach(r),De=n(e),Ae=i(e,"P",{}),k(Ae).forEach(r),Ie=n(e),d(I.$$.fragment,e),Ne=n(e),d(N.$$.fragment,e),He=n(e),h=i(e,"DIV",{class:!0});var f=k(h);d(H.$$.fragment,f),et=n(f),ne=i(f,"P",{"data-svelte-h":!0}),_(ne)!=="svelte-m7ldax"&&(ne.textContent=Lt),tt=n(f),oe=i(f,"P",{"data-svelte-h":!0}),_(oe)!=="svelte-10rrmf8"&&(oe.innerHTML=xt),rt=n(f),ce=i(f,"P",{"data-svelte-h":!0}),_(ce)!=="svelte-sgpklc"&&(ce.innerHTML=Mt),at=n(f),ie=i(f,"P",{"data-svelte-h":!0}),_(ie)!=="svelte-fdst8q"&&(ie.innerHTML=Ct),nt=n(f),se=i(f,"P",{"data-svelte-h":!0}),_(se)!=="svelte-189sskg"&&(se.innerHTML=Et),ot=n(f),C=i(f,"DIV",{class:!0});var Qe=k(C);d(B.$$.fragment,Qe),ct=n(Qe),le=i(Qe,"P",{"data-svelte-h":!0}),_(le)!=="svelte-va87im"&&(le.textContent=At),Qe.forEach(r),it=n(f),E=i(f,"DIV",{class:!0});var Ye=k(E);d(V.$$.fragment,Ye),st=n(Ye),de=i(Ye,"P",{"data-svelte-h":!0}),_(de)!=="svelte-czjed5"&&(de.innerHTML=Pt),Ye.forEach(r),lt=n(f),A=i(f,"DIV",{class:!0});var Ze=k(A);d(S.$$.fragment,Ze),dt=n(Ze),ge=i(Ze,"P",{"data-svelte-h":!0}),_(ge)!=="svelte-ijycp8"&&(ge.innerHTML=Dt),Ze.forEach(r),f.forEach(r),Be=n(e),d(O.$$.fragment,e),Ve=n(e),T=i(e,"DIV",{class:!0});var Le=k(T);d(W.$$.fragment,Le),gt=n(Le),me=i(Le,"P",{"data-svelte-h":!0}),_(me)!=="svelte-4bz4fo"&&(me.innerHTML=It),mt=n(Le),pe=i(Le,"DIV",{class:!0});var Wt=k(pe);d(G.$$.fragment,Wt),Wt.forEach(r),Le.forEach(r),Se=n(e),d(U.$$.fragment,e),Oe=n(e),y=i(e,"DIV",{class:!0});var xe=k(y);d(z.$$.fragment,xe),pt=n(xe),ue=i(xe,"P",{"data-svelte-h":!0}),_(ue)!=="svelte-1funvbl"&&(ue.innerHTML=Nt),ut=n(xe),he=i(xe,"DIV",{class:!0});var Gt=k(he);d(q.$$.fragment,Gt),Gt.forEach(r),xe.forEach(r),We=n(e),d(F.$$.fragment,e),Ge=n(e),b=i(e,"DIV",{class:!0});var P=k(b);d(R.$$.fragment,P),ht=n(P),fe=i(P,"P",{"data-svelte-h":!0}),_(fe)!=="svelte-46z6qn"&&(fe.innerHTML=Ht),ft=n(P),ke=i(P,"P",{"data-svelte-h":!0}),_(ke)!=="svelte-1byed2r"&&(ke.textContent=Bt),kt=n(P),$e=i(P,"DIV",{class:!0});var Ut=k($e);d(j.$$.fragment,Ut),Ut.forEach(r),P.forEach(r),Ue=n(e),d(K.$$.fragment,e),ze=n(e),w=i(e,"DIV",{class:!0});var Me=k(w);d(J.$$.fragment,Me),$t=n(Me),ve=i(Me,"P",{"data-svelte-h":!0}),_(ve)!=="svelte-1wn9vfq"&&(ve.innerHTML=Vt),vt=n(Me),_e=i(Me,"DIV",{class:!0});var zt=k(_e);d(X.$$.fragment,zt),zt.forEach(r),Me.forEach(r),qe=n(e),d(Q.$$.fragment,e),Fe=n(e),L=i(e,"DIV",{class:!0});var Ce=k(L);d(Y.$$.fragment,Ce),_t=n(Ce),be=i(Ce,"P",{"data-svelte-h":!0}),_(be)!=="svelte-109p8cy"&&(be.innerHTML=St),bt=n(Ce),Te=i(Ce,"DIV",{class:!0});var qt=k(Te);d(Z.$$.fragment,qt),qt.forEach(r),Ce.forEach(r),Re=n(e),d(ee.$$.fragment,e),je=n(e),x=i(e,"DIV",{class:!0});var Ee=k(x);d(te.$$.fragment,Ee),Tt=n(Ee),ye=i(Ee,"P",{"data-svelte-h":!0}),_(ye)!=="svelte-b632ft"&&(ye.innerHTML=Ot),yt=n(Ee),we=i(Ee,"DIV",{class:!0});var Ft=k(we);d(re.$$.fragment,Ft),Ft.forEach(r),Ee.forEach(r),Ke=n(e),d(ae.$$.fragment,e),Je=n(e),Pe=i(e,"P",{}),k(Pe).forEach(r),this.h()},h(){$(M,"name","hf:doc:metadata"),$(M,"content",er),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){t(document.head,M),s(e,De,o),s(e,Ae,o),s(e,Ie,o),g(I,e,o),s(e,Ne,o),g(N,e,o),s(e,He,o),s(e,h,o),g(H,h,null),t(h,et),t(h,ne),t(h,tt),t(h,oe),t(h,rt),t(h,ce),t(h,at),t(h,ie),t(h,nt),t(h,se),t(h,ot),t(h,C),g(B,C,null),t(C,ct),t(C,le),t(h,it),t(h,E),g(V,E,null),t(E,st),t(E,de),t(h,lt),t(h,A),g(S,A,null),t(A,dt),t(A,ge),s(e,Be,o),g(O,e,o),s(e,Ve,o),s(e,T,o),g(W,T,null),t(T,gt),t(T,me),t(T,mt),t(T,pe),g(G,pe,null),s(e,Se,o),g(U,e,o),s(e,Oe,o),s(e,y,o),g(z,y,null),t(y,pt),t(y,ue),t(y,ut),t(y,he),g(q,he,null),s(e,We,o),g(F,e,o),s(e,Ge,o),s(e,b,o),g(R,b,null),t(b,ht),t(b,fe),t(b,ft),t(b,ke),t(b,kt),t(b,$e),g(j,$e,null),s(e,Ue,o),g(K,e,o),s(e,ze,o),s(e,w,o),g(J,w,null),t(w,$t),t(w,ve),t(w,vt),t(w,_e),g(X,_e,null),s(e,qe,o),g(Q,e,o),s(e,Fe,o),s(e,L,o),g(Y,L,null),t(L,_t),t(L,be),t(L,bt),t(L,Te),g(Z,Te,null),s(e,Re,o),g(ee,e,o),s(e,je,o),s(e,x,o),g(te,x,null),t(x,Tt),t(x,ye),t(x,yt),t(x,we),g(re,we,null),s(e,Ke,o),g(ae,e,o),s(e,Je,o),s(e,Pe,o),Xe=!0},p:jt,i(e){Xe||(m(I.$$.fragment,e),m(N.$$.fragment,e),m(H.$$.fragment,e),m(B.$$.fragment,e),m(V.$$.fragment,e),m(S.$$.fragment,e),m(O.$$.fragment,e),m(W.$$.fragment,e),m(G.$$.fragment,e),m(U.$$.fragment,e),m(z.$$.fragment,e),m(q.$$.fragment,e),m(F.$$.fragment,e),m(R.$$.fragment,e),m(j.$$.fragment,e),m(K.$$.fragment,e),m(J.$$.fragment,e),m(X.$$.fragment,e),m(Q.$$.fragment,e),m(Y.$$.fragment,e),m(Z.$$.fragment,e),m(ee.$$.fragment,e),m(te.$$.fragment,e),m(re.$$.fragment,e),m(ae.$$.fragment,e),Xe=!0)},o(e){p(I.$$.fragment,e),p(N.$$.fragment,e),p(H.$$.fragment,e),p(B.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(O.$$.fragment,e),p(W.$$.fragment,e),p(G.$$.fragment,e),p(U.$$.fragment,e),p(z.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),p(Q.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ee.$$.fragment,e),p(te.$$.fragment,e),p(re.$$.fragment,e),p(ae.$$.fragment,e),Xe=!1},d(e){e&&(r(De),r(Ae),r(Ie),r(Ne),r(He),r(h),r(Be),r(Ve),r(T),r(Se),r(Oe),r(y),r(We),r(Ge),r(b),r(Ue),r(ze),r(w),r(qe),r(Fe),r(L),r(Re),r(je),r(x),r(Ke),r(Je),r(Pe)),r(M),u(I,e),u(N,e),u(H),u(B),u(V),u(S),u(O,e),u(W),u(G),u(U,e),u(z),u(q),u(F,e),u(R),u(j),u(K,e),u(J),u(X),u(Q,e),u(Y),u(Z),u(ee,e),u(te),u(re),u(ae,e)}}}const er='{"title":"Experiment Trackers","local":"experiment-trackers","sections":[{"title":"GeneralTracker","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"TensorBoardTracker","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2},{"title":"WandBTracker","local":"accelerate.tracking.WandBTracker","sections":[],"depth":2},{"title":"CometMLTracker","local":"accelerate.tracking.CometMLTracker","sections":[],"depth":2},{"title":"AimTracker","local":"accelerate.tracking.AimTracker","sections":[],"depth":2},{"title":"MLflowTracker","local":"accelerate.tracking.MLflowTracker","sections":[],"depth":2},{"title":"ClearMLTracker","local":"accelerate.tracking.ClearMLTracker","sections":[],"depth":2}],"depth":1}';function tr(wt){return Kt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class cr extends Jt{constructor(M){super(),Xt(this,M,tr,Zt,Rt,{})}}export{cr as component};
